{include file='setupWindowHeader'}
<form method="post" action="index.php?page=Package">
	<p class="{if $overallStatus == 2}success{elseif $overallStatus == 1 || $failed > 0}warning{else}error{/if}">
		{if $failed > 0}
			{lang}wcf.acp.package.requirements.checksFailed{/lang}<br />
		{/if}
		{lang}wcf.acp.package.requirements.overall.{$overallStatus}{/lang}
	</p>
	{foreach from=$results key='key' item='result'}
		{* Inline-Styles are dataList styles in frontend *}
		<div class="inner" style="border:1px solid #D6DFE6;padding:0;margin-bottom:8px;">
			<ul style="list-style-type:none;margin:0;padding:0;">
				{foreach from=$result item='item'}
					<li style="padding:5px;margin: 0 1px 1px 0;background-color:{cycle values='#F8FAFB,#F2F6FA'};">
						<div style="float:left;width:30px;text-align:center">
							<img src="{@RELATIVE_WCF_DIR}icon/{if $item.status == 2}success{elseif $item.status == 1}warning{else}error{/if}M.png" alt="" />
						</div>
						<div style="margin-left:35px;">
							<h4 style="margin:0;padding:0;" class="shortInfo">{lang}wcf.acp.package.requirements.{$key}{/lang}</h4>
							<p style="margin:0;padding:0;">{lang}wcf.acp.package.requirements.{$key}.item.{$item.status}{/lang}</p>
						</div>
					</li>
				{/foreach}
			</ul>
		</div>
	{/foreach}
	<input type="hidden" name="queueID" value="{@$queueID}" />
	<input type="hidden" name="action" value="{@$action}" />
	{@SID_INPUT_TAG}
	<input type="hidden" name="step" value="{@$step}" />
	<input type="hidden" name="packageID" value="{@PACKAGE_ID}" />
	<input type="hidden" name="send" value="send" />

	{if $overallStatus > 0}
		{* Forward is only possible when the system meets the requirements *}
		<div class="nextButton">
			<input type="submit" value="{lang}wcf.global.button.next{/lang}" />
		</div>
	{/if}
</form>

<script type="text/javascript">
//<![CDATA[
	window.onload = function() {
		changeHeight();
	};
	parent.showWindow(true);
	parent.setCurrentStep('{lang}wcf.acp.package.step.title{/lang}{lang}wcf.acp.package.step.{if $action == 'rollback'}uninstall{else}{@$action}{/if}.{@$step}{/lang}');
//]]>
</script>

{include file='setupWindowFooter'}